{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.oxAppsuite.enabled .Values.clientIntents.enabled }}
---
apiVersion: {{ .Values.clientIntents.apiVersion | quote }}
kind: "ClientIntents"
metadata:
  name: "{{ include "common.names.fullname" . }}-open-xchange-core-imageconverter"
  namespace: {{ .Values.apps.oxAppsuite.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  service:
    name: "open-xchange-core-imageconverter"
  calls:
    {{- if .Values.apps.mariadb.enabled }}
    - name: {{ printf "%s.%s" "mariadb" (coalesce .Values.apps.mariadb.namespace .Release.Namespace) | quote }}
    {{- end }}
    {{- if .Values.apps.redis.enabled }}
    - name: {{ printf "%s.%s" "redis-master" (coalesce .Values.apps.redis.namespace .Release.Namespace) | quote }}
    {{- end }}
    - name: {{ printf "%s.%s" "open-xchange-core-imageconverter" (coalesce .Values.apps.oxAppsuite.namespace .Release.Namespace) | quote }}
...
{{- end }}
